Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Software & Services

Language
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey product photo
Zyxel

Zyxel GS1350-18HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey

Zyxel GS1350-18HP, Managed, L2, Gigabit Ethernet (10/100/1000), Power over Ethernet (PoE), Rack mounting

Part NumberGS1350-18HP
UPC760559126346

MSRP

$588.53

Public MSRP in CAD. Your quoted price comes from an account manager.

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request
Paste your parts list or upload a CSV

Talk to Us(514) 738-6350

  • Canadian-owned since 1979
  • Authorized reseller of every brand we carry
  • Public MSRP
  • English and French
  • For Canadian businesses

Overview

Zyxel GS1350-18HP. Switch type: Managed, Switch layer: L2. Basic switching RJ-45 Ethernet ports type: Gigabit Ethernet (10/100/1000), Basic switching RJ-45 Ethernet ports quantity: 16. MAC address table: 8000 entries, Switching capacity: 36 Gbit/s. Networking standards: IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1w, IEEE 802.3, IEEE 802.3ad, IEEE.... Power over Ethernet (PoE). Rack mounting

Key Features

  • Auto camera recovery
  • Large power budget
  • Up to 250 meters transmission
  • Intuitive PoE usage LED
  • Enhanced surge & ESD protection

Explore More

Specifications

Switch type
Managed
Switch layer
L2
Web-based management
Yes
Configuring Location Settings (CLI)
Yes
System event log
Yes
MIB support
RFC 1066, RFC 1213, 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011, 2012, 2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, 2925, RFC 3621, RFC 4293, RFC 4292, RFC 4022, RFC 4113

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

$588.53